Search documentation of wx

# View Source wxPostScriptDC (wx v2.4.3)

This defines the wxWidgets Encapsulated PostScript device context, which can write PostScript files on any platform.

See `wxDC` for descriptions of the member functions.

Starting a document

Document should be started with call to `wxDC:startDoc/2` prior to calling any function to execute a drawing operation. However, some functions, like `wxDC:setFont/2`, may be legitimately called even before `wxDC:startDoc/2`.

This class is derived, and can use functions, from:

- `wxDC`

wxWidgets docs: wxPostScriptDC

# Summary

## Types

wxPostScriptDC()

## Functions

destroy(This)

Destroys the object

new()
new(PrintData)

Constructs a PostScript printer device context from a `wxPrintData` object.

# Types

Link to this type

# wxPostScriptDC()

View Source

    -type wxPostScriptDC() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxPostScriptDC()) -> ok.

Destroys the object

Link to this function

# new()

View Source

    -spec new() -> wxPostScriptDC().

Link to this function

# new(PrintData)

View Source

    -spec new(PrintData) -> wxPostScriptDC() when PrintData :: wxPrintData:wxPrintData().

Constructs a PostScript printer device context from a `wxPrintData` object.